PLEASE HELP - Plug-Ins Not Working on Edit Forms (2 posts)

  1. Neil Mickelson
    Posted 10 years ago #

    I'm hoping you all can help me...I've been having a problem with WordPress that's driving me nuts.

    Various plugins (in particular, EzStatic and Text Control) are activated on my blog, but aren't properly being included within the Edit Post and Edit Page forms. EzStatic should be adding a one-liner underneath the textarea on these forms, and Text Control should be adding drop-down menus at the bottom of the forms. I've activated both plug-ins, and they will actually work if I manually add in properly-named hidden custom fields ("_static" for EzStatic and various "_tc.." fields for Text Control) via phpMyAdmin. (I've tried adding in the "_static" field via WordPress, but it doesn't seem to "take" correctly.)

    The HTML and JavaScript for these plugin controls is NOT being rendered on the server and sent to my browser, as verified with View Source.

    This is working on my development laptop (WinXP, Apache, MySQL, PHP), but not working on my production environment (Dreamhost hosting with Unix, Apache, MySQL, PHP). I've tried this with WP1.5 auto-installed by DH; WP1.5 hand-installed by myself; and various WP1.5.1 nightly builds. I've been running the wp-admin/upgrade.php script each time I've uploaded a new version of the files.

    Does ANYONE have any ideas? I've contacted the plugin authors as well as leaving this post.

    Without making these work, WordPress isn't going to work very well for my application...I really need these plugins!!

  2. mahalie
    Posted 10 years ago #

    I've been looking into this as I have had the same problem. I don't know if this helps but there is a bug report and according to the issue history it should be fixed in 1.5.1 as of 2/20/05.

    I disabled all plugins, ran wp-admin/upgrade.php just now, reinstalled Text Control and enabled it, but that did not fix the problem.

    This seems totally unrelated, but just in case, I also got this error when running upgrade.php:
    WordPress database error: [Duplicate key name 'link_visible']
    ALTER TABLE wp_links ADD KEY link_visible (link_visible)

    Where/how can I get Word Press 1.5.1?

Topic Closed

This topic has been closed to new replies.

About this Topic